aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/ccsdk/healthcheck/health_check.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/ccsdk/healthcheck/health_check.sh')
-rw-r--r--scripts/ccsdk/healthcheck/health_check.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/scripts/ccsdk/healthcheck/health_check.sh b/scripts/ccsdk/healthcheck/health_check.sh
new file mode 100644
index 00000000..aed3b5ab
--- /dev/null
+++ b/scripts/ccsdk/healthcheck/health_check.sh
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+###############################################################################
+# Copyright 2017 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Modifications copyright (c) 2020 Samsung Electronics Co., Ltd.
+#
+###############################################################################
+unset http_proxy https_proxy
+
+response=$(curl --write-out '%{http_code}' --silent --output /dev/null -H "Authorization: Basic YWRtaW46S3A4Yko0U1hzek0wV1hsaGFrM2VIbGNzZTJnQXc4NHZhb0dHbUp2VXkyVQ==" -X POST -H "X-FromAppId: csit-sdnc" -H "X-TransactionId: csit-ccsdk" -H "Accept: application/json" -H "Content-Type: application/json" http://localhost:8383/restconf/operations/SLI-API:healthcheck )
+
+if [ "$response" == "200" ]; then
+ echo "CCSDK health check passed."
+ exit 0;
+fi
+
+echo "CCSDK health check failed with response code ${response}."
+exit 1